import request from '@/utils/request'

// 获取库位信息
export function listStorageLocation(query) {
  return request({
    url: '/storageLocation/storageLocation/list',
    method: 'get',
    params: query
  })
}

// 录入库位信息
export function addStorageLocation(data) {
  return request({
    url: '/storageLocation/storageLocation',
    method: 'post',
    data: data
  })
}

// 校验库位是否已占用
export function checkStorageLocation(data) {
  return request({
    url: '/storageLocation/storageLocation/checkStorageLocation',
    method: 'post',
    data: data
  })
}

// 弹窗取消按钮 清除库位占用缓存
export function cancelStorageLocation(data) {
  return request({
    url: '/storageLocation/storageLocation/cancelStorageLocation',
    method: 'post',
    data: data
  })
}
